Difference between revisions of "Modeling Project/Installation"

From Eclipsepedia

Jump to: navigation, search
(Corrected textual Galileo-related copy-paste issues; updated)
 
Line 13: Line 13:
 
* [[#Install a JVM | Install a JDK or JRE]] -- minimum required level is 5.0.
 
* [[#Install a JVM | Install a JDK or JRE]] -- minimum required level is 5.0.
  
* Download an [http://download.eclipse.org/eclipse/downloads/ Eclipse SDK or Runtime Binary] or [http://www.eclipse.org/downloads/packages/ Galileo Package], then unpack it and [[IRC_FAQ#How_do_I_start_Eclipse.3F | start it up]].
+
* Download an [http://download.eclipse.org/eclipse/downloads/ Eclipse SDK or Runtime Binary] or [http://www.eclipse.org/downloads/packages/ Helios Package], then unpack it and [[IRC_FAQ#How_do_I_start_Eclipse.3F | start it up]].
  
 
* Start [[Equinox_p2_Update_UI_Users_Guide | Install Manager]].
 
* Start [[Equinox_p2_Update_UI_Users_Guide | Install Manager]].
Line 30: Line 30:
 
* [[#Install a JVM | Install a JDK or JRE]] -- minimum required level is 5.0.
 
* [[#Install a JVM | Install a JDK or JRE]] -- minimum required level is 5.0.
  
* Download an [http://download.eclipse.org/eclipse/downloads/ Eclipse SDK or Runtime Binary] or [http://www.eclipse.org/downloads/packages/ Galileo Package], then unpack it and [[IRC_FAQ#How_do_I_start_Eclipse.3F | start it up]].
+
* Download an [http://download.eclipse.org/eclipse/downloads/ Eclipse SDK or Runtime Binary] or [http://archive.eclipse.org/eclipse/downloads/index.php Galileo Package], then unpack it and [[IRC_FAQ#How_do_I_start_Eclipse.3F | start it up]].
  
 
* Start [[Equinox_p2_Update_UI_Users_Guide | Install Manager]].
 
* Start [[Equinox_p2_Update_UI_Users_Guide | Install Manager]].
Line 47: Line 47:
 
* [[#Install a JVM | Install a JDK or JRE]] -- minimum required level is 5.0.
 
* [[#Install a JVM | Install a JDK or JRE]] -- minimum required level is 5.0.
  
* Download an [http://download.eclipse.org/eclipse/downloads/ Eclipse SDK or Runtime Binary] or [http://www.eclipse.org/downloads/packages/ Ganymede Package], then unpack it and [[IRC_FAQ#How_do_I_start_Eclipse.3F | start it up]].
+
* Download an [http://download.eclipse.org/eclipse/downloads/ Eclipse SDK or Runtime Binary] or [http://archive.eclipse.org/eclipse/downloads/index.php Ganymede Package], then unpack it and [[IRC_FAQ#How_do_I_start_Eclipse.3F | start it up]].
  
 
* Start [[Equinox_p2_Update_UI_Users_Guide | Install Manager]].
 
* Start [[Equinox_p2_Update_UI_Users_Guide | Install Manager]].

Latest revision as of 09:55, 4 October 2010

Installing any or all of the projects and components within the Modeling Project is easy.

Contents

[edit] Install a JVM

  • Regardless of your operating system, you will need to install some Java virtual machine.
  • If using Windows, you may already have one installed, but upgrading won't hurt.
  • If using Linux, read this.
  • Consider an IBM JDK or a Sun JDK. See below for minimum requirements.


[edit] Eclipse 3.6 / Helios

Help > Install New Software...
  • Select the projects &/or components you want to install, or pick the whole Models and Model Development Category.
  • Click the Install... button to resolve missing dependencies & begin the install.
  • Restart. Enjoy.

[edit] Eclipse 3.5 / Galileo

Help > Install New Software...
  • Select the projects &/or components you want to install, or pick the whole Models and Model Development Category.
  • Click the Install... button to resolve missing dependencies & begin the install.
  • Restart. Enjoy.

[edit] Eclipse 3.4 / Ganymede

Help > Software Updates... > Available Software
  • Select the projects &/or components you want to install, or pick the whole Models and Model Development Category.
  • Click the Install... button to resolve missing dependencies & begin the install.
  • Restart. Enjoy.

[edit] Eclipse 3.3 / Europa

Help > Software Updates > Find and Install... > 
  (*) Search for new features > Next > 
  [x] Europa Discovery Site > 
  Finish
  • Select the projects &/or components you want to install, or pick the whole Models and Modeling Category.
  • Click the Select Required button to resolve missing dependencies.
  • Install. Restart. Enjoy.

[edit] Additional Updates

  • If you want to install any 3rd-party stuff or anything that's not provided with Europa, simply add those projects' update sites and repeat the process above.
Help > Software Updates > Find and Install... > 
  (*) Search for new features > Next > 
  [x] Europa Discovery Site > 
  New Remote Site > add other site(s) >
  Finish
  • Select the projects &/or components you want to install.
  • Expand any sites from which you plan to install features or from which you need to resolve dependencies.
  • Click the Select Required button to resolve missing dependencies. Collapsed sites will not be searched.
  • Install. Restart. Enjoy.

[edit] Eclipse 3.2 / Callisto

Help > Software Updates > Find and Install... > 
  (*) Search for new features > Next > 
  New Remote Site > add the new site: http://download.eclipse.org/callisto/releases/ >
    New Remote Site (optional, if required) > add other site(s) > 
  Finish
  • Select the projects &/or components you want to install.
  • Expand any sites from which you plan to install features or from which you need to resolve dependencies.
  • Click the Select Required button to resolve missing dependencies. Collapsed sites will not be searched.
  • If it does not work, you will have to manually select dependencies.
  • If that doesn't work, start over, but add more update sites. Can't find a given dependency? Try here or here.
  • Install. Restart. Enjoy.

[edit] Other Update Sites

Not all Modeling components are available from a combined update site such as Callisto, Europa, Ganymede, Galileo, or Helios.

Here are a few other Modeling Project sites:

Some other dependent project sites:

Third party downloads (if required):